Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.util
Class InterruptibleCharSequence

    java.lang.Object
      org.archive.util.InterruptibleCharSequence

All Implemented Interfaces:
  java.lang.CharSequence

    public class InterruptibleCharSequence

extends java.lang.Object
implements java.lang.CharSequence

CharSequence that noticed thread interrupts -- as might be necessary to recover from a loose regex on unexpected challenging input.

Author:
  gojomo

Field Summary
`(package private) java.lang.CharSequence` | `inner`

Constructor Summary
`InterruptibleCharSequence(java.lang.CharSequence inner)`

Method Summary
`char` | `charAt(int index)`
`int` | `length()`
`java.lang.CharSequence` | `subSequence(int start, int end)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### inner

    java.lang.CharSequence inner

Constructor Detail

### InterruptibleCharSequence

    public InterruptibleCharSequence(java.lang.CharSequence inner)

Method Detail

### charAt

    public char charAt(int index)

  Specified by:
    `charAt` in interface `java.lang.CharSequence`

### length

    public int length()

  Specified by:
    `length` in interface `java.lang.CharSequence`

### subSequence

    public java.lang.CharSequence subSequence(int start,
                                              int end)

  Specified by:
    `subSequence` in interface `java.lang.CharSequence`

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in interface `java.lang.CharSequence`
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.